RDKit: RDKit::Canon::SpecialChiralityAtomCompareFunctor Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::Canon::SpecialChiralityAtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions
| SpecialChiralityAtomCompareFunctor ()
| SpecialChiralityAtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=NULL, const boost::dynamic_bitset<> *bondsInPlay=NULL)
int | operator() (int i, int j) const

## Public Attributes
Canon::canon_atom * | dp_atoms
const ROMol * | dp_mol
const boost::dynamic_bitset * | dp_atomsInPlay
const boost::dynamic_bitset * | dp_bondsInPlay

## Detailed Description

Definition at line 115 of file new_canon.h.

## Constructor & Destructor Documentation

RDKit::Canon::SpecialChiralityAtomCompareFunctor::SpecialChiralityAtomCompareFunctor | ( |  | ) |
| inline

Definition at line 121 of file new_canon.h.

RDKit::Canon::SpecialChiralityAtomCompareFunctor::SpecialChiralityAtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `NULL`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `NULL`
| ) |  |
| inline

Definition at line 126 of file new_canon.h.

## Member Function Documentation

int RDKit::Canon::SpecialChiralityAtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const
| inline

Definition at line 134 of file new_canon.h.

References RDKit::Canon::canon_atom::bonds, RDKit::Canon::bondholder::compare(), PRECONDITION, RDKit::Canon::updateAtomNeighborIndex(), and RDKit::Canon::updateAtomNeighborNumSwaps().

## Member Data Documentation

Canon::canon_atom* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_atoms

Definition at line 117 of file new_canon.h.

const boost::dynamic_bitset* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_atomsInPlay

Definition at line 119 of file new_canon.h.

const boost::dynamic_bitset * RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_bondsInPlay

Definition at line 119 of file new_canon.h.

const ROMol* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_mol

Definition at line 118 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h